<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/22/2010 *
 * ===================                          Last change: 04/22/2010 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_network_array_translation.php          *
 * -------------------------------------------------------------------- *
 * Short description : List/manage network array index translations     *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Verwaltet API-Abfrageparameter                   *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);

// These are expert settings!
if (doVerifyExpertSettings() != 'agreed') {
	// Abort here
	return;
} // END - if

// By default we should display list/add new forms
$GLOBALS['network_display'] = true;

// Handle form here
doNetworkHandleForm();

// Display forms?
if ($GLOBALS['network_display'] === false) {
	// Abort here
	return;
} // END - if

// Do we have a network selected?
if (isGetRequestParameterSet('network')) {
	// Get its data for template
	$networkData = getNetworkDataById(getRequestParameter('network'));

	// Is a network type selected?
	if (!isGetRequestParameterSet('network_type')) {
		// Then present a new selection form
		outputHtml(generateAdminNetworkTypeList(getRequestParameter('network'), getRequestParameter('network_type')));

		// Abort any other processing
		return;
	} // END - if

	// Init disabled list
	$GLOBALS['network_array_translation_disabled'] = array();

	// Load all advert codes for given network
	$result = SQL_QUERY_ESC("SELECT
	p.`network_array_id`, t.`network_type_id`, t.`network_type_handle`, p.`network_array_index`, p.`network_index_translation`
FROM
	`{?_MYSQL_PREFIX?}_network_array_translation` AS p
INNER JOIN
	`{?_MYSQL_PREFIX?}_network_types` AS t
ON
	p.`network_type_id`=t.`network_type_id`
WHERE
	p.`network_id`=%s AND
	p.`network_type_id`=%s
ORDER BY
	t.`network_type_handle` ASC,
	p.`network_array_id` ASC",
		array(
			bigintval(getRequestParameter('network')),
			bigintval(getRequestParameter('network_type'))
		), __FILE__, __LINE__);

	// Remember the rows
	$rows = SQL_NUMROWS($result);

	// Do we have entries?
	if ($rows > 0) {
		// List all entries
		$OUT = ''; $SW = 2;
		while ($row = SQL_FETCHARRAY($result)) {
			// Add color switching
			$row['sw'] = $SW;

			// Add it to network if the type matches selected
			if ($row['network_type_id'] == getRequestParameter('network_type_id')) {
				// Matches, then add it for disabling this entry
				$GLOBALS['network_array_translation_disabled'][$row['network_array_index']] = true;
			} // END - if

			// Add row template and switch color
			$OUT .= loadTemplate('admin_list_network_array_translation_row', true, $row);
			$SW = 3 - $SW;
		} // END - while

		// Prepare data for template
		$content = array(
			'rows'              => $OUT,
			'network_id'        => bigintval(getRequestParameter('network')),
			'network_title'     => $networkData['network_title'],
			'network_reflink'   => $networkData['network_reflink'],
		);

		// Load main template
		loadTemplate('admin_list_network_array_translation', false, $content);
	} else {
		// No entries found
		loadTemplate('admin_settings_saved', false, getMaskedMessage('ADMIN_NETWORK_ARRAY_TRANSLATION_404', $networkData['network_title']));
	}

	// Free result
	SQL_FREERESULT($result);

	// Add options list for network type
	$networkData['translation_index'] = ($rows + 1);
	$networkData['type_options']      = generateNetworkTypeOptions(getRequestParameter('network_type_id'));

	// Add form for adding new array_translation pair
	loadTemplate('admin_add_network_array_translation', false, $networkData);
} else {
	// Generate network list for this script
	outputHtml(generateAdminNetworkList());
}

// [EOF]
?>
