<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 03/20/2005 *
 * ===================                          Last change: 03/20/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-themes.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Theme selection for members                      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Design-Auswahl fuer Mitglieder                   *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addMenuDescription('member', __FILE__);

if ((!isExtensionActive('theme')) && (!isAdmin())) {
	loadTemplate('admin_settings_saved', false, generateExtensionInactiveNotInstalledMessage('theme'));
	return;
} // END - if

if (isPostRequestParameterSet('member_theme')) {
	// Save theme to member's profile
	SQL_QUERY_ESC("UPDATE `{?_MYSQL_PREFIX?}_user_data` SET `curr_theme`='%s' WHERE `userid`=%s LIMIT 1",
		array(postRequestParameter('member_theme'), getMemberId()), __FILE__, __LINE__);

	// Set new theme for guests
	$newTheme = SQL_ESCAPE(postRequestParameter('member_theme'));

	// Change to new theme
	setTheme($newTheme);

	// Theme saved!
	loadTemplate('admin_settings_saved', false, getMessage('MEMBER_THEME_SAVED'));
} // END - if

// Initialize array
$THEMES = array(
	'theme_unix'   => array(), // Unix name from filesystem
	'theme_name'   => array(), // Title
	'theme_author' => array(), // Theme author's name
	'theme_email'  => array(), // Author's email address
	'theme_url'    => array(), // URL were you can download it from
	'theme_version'    => array(), // Version number of theme
);

// Read directory "themes"
$includes = getArrayFromDirectory('theme/', '', false, true, array('css', 'images'));

// Walk through all entries and add it
foreach ($includes as $inc) {
	// Get directory from it
	$dir = basename(dirname($inc));

	// Is the theme active, then include it
	if (isThemeActive($dir)) {
		// Found a valid directory so let's load it's theme.php file
		loadInclude($inc);

		// Add found theme to array
		$THEMES['theme_unix'][]    = $dir;
		$THEMES['theme_name'][]    = $GLOBALS['theme_data']['name'];
		$THEMES['theme_author'][]  = $GLOBALS['theme_data']['author'];
		$THEMES['theme_email'][]   = $GLOBALS['theme_data']['email'];
		$THEMES['theme_url'][]     = $GLOBALS['theme_data']['url'];
		$THEMES['theme_version'][] = $GLOBALS['theme_data']['version'];
	} // END - if
} // END - while

// Remove last theme data
unset($GLOBALS['theme_data']);

// Sort array by Uni* name
array_pk_sort($THEMES, array('theme_name'));

// Generate output lines for the template
$OUT = ''; $SW = 2;
foreach ($THEMES['theme_unix'] as $key => $unix) {
	$default = '';
	if (getCurrentTheme() == $unix) $default = ' selected="selected"';

	// Add row
	$OUT .= "<tr>
  <td class=\"switch_sw".$SW." bottom right\" align=\"center\" height=\"30\">
    <input type=\"radio\" name=\"member_theme\" class=\"member_normal\" value=\"".$unix."\"".$default." />
  </td>
  <td class=\"switch_sw".$SW." bottom right\" align=\"center\">".$THEMES['theme_name'][$key]."</td>
  <td class=\"switch_sw".$SW." bottom right\" align=\"center\">
    <a href=\"mailto:".$THEMES['theme_email'][$key]."?Subject=[Theme:] ".$THEMES['theme_name'][$key]." (".$unix.")'.'\">".$THEMES['theme_author'][$key]."</a>
  </td>
  <td class=\"switch_sw".$SW." bottom right\" align=\"center\">
    <a href=\"".generateDerefererUrl($THEMES['theme_url'][$key])."\" target=\"_blank\">".$THEMES['theme_url'][$key]."</a>
  </td>
  <td class=\"switch_sw".$SW." bottom\" align=\"center\">v".$THEMES['theme_version'][$key]."</td>
</tr>\n";
	$SW = 3 - $SW;
} // END - foreach

if (empty($OUT)) {
	// No themes found???
	$OUT = "<tr>
  <td colspan=\"5\" class=\"bottom\" height=\"80\">
    ".loadTemplate('admin_settings_saved', true, getMessage('MEMBER_NO_THEMES_FOUND'))."
  </td>
</tr>\n";
} // END - if

// Load template
loadTemplate('member_themes', false, $OUT);

// [EOF]
?>
